package roseindia.net;

import java.sql.*;

public class XLSJDBCExample {
	XLSJDBCExample() {
		try {
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		} catch (Exception e) {
			System.out.println(e.toString());
		}
	}

	public static void main(String args[]) throws SQLException {
		Connection conn = null;
		Statement stmt = null;
		ResultSet rs = null;
		try {
			conn = DriverManager.getConnection("jdbc:odbc:datasource", "", "");
			stmt = conn.createStatement();
			String query = "select * from [Sheet1$]";
			rs = stmt.executeQuery(query);
			while (rs.next()) {
				System.out.println("Roll No:- " + rs.getInt("RollNo")
						+ ", Name:- " + rs.getString("Name") + ", Course:- "
						+ rs.getString("Course") + ", Age:- "
						+ rs.getInt("Age"));
			}
		} catch (Exception e) {
			System.out.println(e.toString());
		} finally {
			rs.close();
			stmt.close();
			conn.close();
		}
	}
}